Subject: bug#38031: 26.3; Trying to invoke the macOS File Open window causes Emacs to crash on macOS Catalina

From: Stefan Kangas <[email-masked]>
Date: Fri, 08 Nov 2019 01:39:12 +0100

Alan Third <[email-masked]> writes:

> On Sun, Nov 03, 2019 at 04:02:39PM -0500, Michael Dixon wrote:
>> Thanks Alan. I might be a little over my head here, as I’m not sure
>> how to apply a patch. I presume I would have to build from source...
>
> Yes, you would. It’s not very hard if you’ve got git installed. I can
> talk you through it. Alternatively we can try to find someone else
> running Catalina, there should be a few Emacs devs/users who’ve
> upgraded around here somewhere.

I'm still on 10.13 so I unfortunately can't help with this.  But since
this is a crash in very basic functionality, perhaps we should
actively reach out to try to see if anyone can help with this in time
to fix it before the pretest of Emacs 27.1.

Best regards,
Stefan Kangas